### Method

# Gio SubprocessLauncher spawn

since: 2.40

#### Declaration

    GSubprocess*
    g_subprocess_launcher_spawn (
      GSubprocessLauncher* self,
      GError** error,
      const gchar* argv0,
      ...
    )

#### Description

Creates a `GSubprocess` given a provided varargs list of arguments.

Available since: 2.40

This method is not directly available to language bindings.

#### Parameters

`error`

  Type: `GError`

  Error.

  The data is owned by the caller of the method.

`argv0`

  Type: `const gchar*`

  Command line arguments.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Continued arguments, `NULL` terminated.

#### Return value

Type: `GSubprocess`

A new `GSubprocess`, or `NULL` on error (and `error` will be set).

The caller of the method takes ownership of the returned data, and is responsible for freeing it.